name: image_editing_flutter_app
description: A new Flutter application.

# The following line prevents the package from being accidentally published to
# pub.dev using `pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.0.0+1

environment:
  sdk: ">=2.7.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  animate_do: ^2.0.0
  awesome_dialog: ^2.0.0
  # after_init: ^0.1.2
  # draggable_widget: ^1.1.1
  dio:
  # dynamic_widget: ^3.0.5
  # extended_image: ^2.0.0
  # event_bus: ^1.1.1
  fancy_shimmer_image: ^1.2.0  
  flutter_svg: ^0.18.1-nullsafety.3
  flutter_keyboard_visibility: ^3.2.2
  fluttertoast: ^7.1.6
  flutter_material_color_picker: ^1.0.3
  flutter_colorpicker: ^0.3.5
  google_fonts: ^1.1.1
  get: ^3.26.0
  gesture_x_detector: ^0.0.5
  http: ^0.12.2
  image_picker: ^0.6.7+22
  image_gallery_saver: ^1.5.0
  intl: ^0.16.1
  instagram_share: ^0.1.9
  js: ^0.6.2
  lottie: 
  responsive_builder: ^0.4.1
  # matrix_gesture_detector: ^0.1.0
  photo_view: ^0.11.1
  # pinch_zoom: ^0.1.0-nullsafety.0
  # provider: ^4.3.2+2
  # path_provider:
  # permission_handler: ^5.0.1+1
  rxdart: ^0.24.1
  sqflite: ^2.0.0+3
  shared_preferences: 
  share: ^0.6.5+1
  social_share: ^2.0.5
  # zoom_widget: ^0.1.3
  
  
 
  
    
  
  
  
  
  
  
#  image: ^2.1.18
#  zoomable_image: ^1.3.1
  #  whatsapp_stickers: ^0.0.4
  #  event_bus: ^1.1.1
  #  rxdart: ^0.24.1
  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^0.1.3

dev_dependencies:
  flutter_test:
    sdk: flutter

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - assets/images/
    - assets/textalignimages/
    # - assets/jpgImages/userimage.png
    - assets/jpgImages/
    # - assets/jpgImages/1.png
    # - assets/jpgImages/2.png
    # - assets/jpgImages/4.png
    # - assets/jpgImages/userProfile.png
    # - assets/jpgImages/userProfilePic.png
    # - assets/jpgImages/menuBackgroundImage.png
    # - assets/jpgImages/hiclipart.com.png
    # - assets/jpgImages/Repeat Grid 4.png
    - assets/Thumbimage/Celebration/
    - assets/Thumbimage/Fashion/
    - assets/Thumbimage/Festival/
    - assets/Thumbimage/Simple/
    - assets/Thumbimage/Cool/
    - assets/Thumbimage/New/
    - assets/smile.png
    - assets/memegenrator.png
    - assets/stickers/
    - assets/images/instagram.png
    - assets/data.json
    - assets/lottie/
#    - assets/stickers/sticker_5.png
    #   - images/a_dot_ham.jpeg

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  fonts:
    - family: proximaNova
      fonts:
        - asset: assets/fonts/ProximaNovaRegular.otf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
